package dao

import "server/global"

type ProjectState struct {
	global.GVA_MODEL
	Name    string `json:"name" form:"name" gorm:"comment:项目状态名称"`
	Remarks string `json:"remarks" form:"remarks" gorm:"comment:备注"`
}

func (ProjectState) TableName() string {
	return "project_state"
}

// TODO:文件类型查询

// QueryProjectState 查询项目类型
func QueryProjectState() (fileGenres []ProjectState, err error) {
	err = global.GVA_DB.Model(&ProjectState{}).Find(&fileGenres).Error
	return fileGenres, err
}

// QueryProjectStateById 查询项目类型 按id
func QueryProjectStateById(id int) (fileGenre ProjectState, err error) {
	err = global.GVA_DB.Model(&ProjectState{}).Where("id = ?", id).First(&fileGenre).Error
	return fileGenre, err
}

// TODO:文件类型新增

// CreateProjectState 新增项目类型
func (ps ProjectState) CreateProjectState() error {
	return global.GVA_DB.Create(&ps).Error
}

// TODO:文件类型修改

// UpdateProjectState 修改文件类型
func (ps ProjectState) UpdateProjectState() error {
	return global.GVA_DB.Model(&ps).Where("id = ?", ps.ID).Updates(&ps).Error
}

// TODO:文件类型删除

// DeleteProjectState 删除文件类型
func (ps ProjectState) DeleteProjectState() error {
	return global.GVA_DB.Unscoped().Delete(&ps).Error
}
